Bug 138097 - Add templates from Indonesian competition
Summary: Add templates from Indonesian competition
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: Templates
  Show dependency treegraph
 
Reported: 2020-11-09 17:49 UTC by Heiko Tietze
Modified: 2021-09-06 22:36 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2020-11-09 17:49:17 UTC
As reported in https://listarchives.libreoffice.org/global/design/2020/msg00122.html the Indonesian community made a couple of cool templates. To keep the number of shipped templates low we should drop some. My proposal: Impress, Sunset, Lush Green, Alizarin, Bright Blue, Classy Red. Some were introduced with bug 103317 for v5.

LBP made some effort to have the existing templates localizable. We should do the same here.
Comment 1 Adolfo Jayme 2020-11-09 19:32:23 UTC
I agree with your nominations for dropped templates, and I trust that you will choose another set of six templates from the excellent visual work done by the Indonesian community.
Comment 2 Commit Notification 2021-02-01 10:13:23 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ce4429f07e02d80ec131fdfc442d7668e7cfffca

Related tdf#138097 - Update templates

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2021-02-26 09:13:32 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/be19338759aba4dd4669961c192ddfcd38180b0a

tdf#138097 - Update templates / Sunset

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-02-26 09:14:44 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c847c28fe5ce00ed5b23a8da8d56f484276b41c8

tdf#138097 - Update templates / Candy

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-02-26 09:14:53 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2d4ab89b29d80dbf5700760ba5dbc0da262a8ef7

tdf#138097 - Update templates / Grey Elegant

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2021-02-26 13:10:35 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7d646e078371220e25749916de3fc83166b12745

tdf#138097 - Update templates / Yellow Idea

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2021-02-26 13:54:05 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/32b377c8ab40daa0b58781e9573cec22943e4f37

tdf#138097 - Update templates / Growing Liberty

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2021-02-27 09:02:28 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5bc192a0d433c6749297e5a1d3853459ca1172b9

tdf#138097 - Update templates / Freshes

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Rizal Muttaqin 2021-03-05 09:41:07 UTC
May be it's purely subjective matter of taste, I just don't like Focus template than others. Sad that better existing template like Green Lush was removed. But this is truly personal preference.
Comment 10 Heiko Tietze 2021-03-08 08:00:02 UTC
(In reply to Rizal Muttaqin from comment #9)
> like Focus ... Green Lush 

No opinion for a couple of month. But anyway, we can change this and bring back one and drop another. And/Or put the templates on the extensions site.
Comment 11 Rizal Muttaqin 2021-03-08 13:32:08 UTC
(In reply to Heiko Tietze from comment #10)
> (In reply to Rizal Muttaqin from comment #9)
> > like Focus ... Green Lush 
> 
> No opinion for a couple of month. But anyway, we can change this and bring
> back one and drop another. And/Or put the templates on the extensions site.

Let's make a public poll
Comment 12 Matheod 2021-05-14 11:11:17 UTC
(In reply to Heiko Tietze from comment #0)
> As reported in
> https://listarchives.libreoffice.org/global/design/2020/msg00122.html the
> Indonesian community made a couple of cool templates. To keep the number of
> shipped templates low we should drop some. My proposal: Impress, Sunset,
> Lush Green, Alizarin, Bright Blue, Classy Red. Some were introduced with bug
> 103317 for v5.
> 
> LBP made some effort to have the existing templates localizable. We should
> do the same here.

I am really sad about the removing of the Alizarin template. I think it was one of the best :/
Comment 13 Heiko Tietze 2021-05-17 08:16:12 UTC
Happy to help: https://extensions.libreoffice.org/en/extensions/show/5144
Comment 14 stragu 2021-09-06 22:36:28 UTC
Verified as fixed in:

Version: 7.2.0.4 / LibreOffice Community
Build ID: 9a9c6381e3f7a62afc1329bd359cc48accb6435b
CPU threads: 8; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded